//
//  DoubleComponentInPickerViewViewController.m
//  DoubleComponentInPickerView
//
//  Created by Deepak Kumar on 24/09/09.
//  Copyright Rose India 2009. All rights reserved.
//

#import "DoubleComponentInPickerViewViewController.h"

@implementation DoubleComponentInPickerViewViewController
@synthesize marray2, marray1;

-(IBAction)show:(id)sender
{
	NSInteger breadRow = [mpicker selectedRowInComponent:kBreadComponent];
	NSInteger fillingRow = [mpicker selectedRowInComponent:kFillingComponent];
	
	NSString *bread = [self.marray2 objectAtIndex:breadRow];
	NSString *filling = [self.marray1 objectAtIndex:fillingRow];
	
	NSString *message = [[NSString alloc] initWithFormat:@"Your %@ and %@ will be right up.", filling, bread];
	
	
	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@" Thank you " message:message delegate:nil cancelButtonTitle:@" OK " otherButtonTitles:nil];
	[alert show];
	[alert release];
	[message release];
	
}
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
 - (void)viewDidLoad {
 NSArray *new = [[NSArray alloc] initWithObjects:@"Catchup", @"Curry", @"Curd", @"Sause", @" Spicy ", nil];
 self.marray2 = new;
 [marray2 release];
 
 NSArray *old = [[NSArray alloc] initWithObjects:@"Veg Roll", @"Allu Paratha", @"Pav ", @"Chat ", @"Paneer Pakoda", @"Noodles", @"Manchuriya", nil];
 self.marray1 = old;
 [marray1 release];
 }
 
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}

- (void)dealloc {
    [super dealloc];
	[mpicker release];
	[marray2 release];
	[marray1 release];
}
#pragma mark -
#pragma mark Picker Data Source Methods
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
	return 2;
}
- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
	if (component == kBreadComponent)
		return [self.marray2 count];
	
	return [self.marray1 count];
}
#pragma mark Picker Delegate Methods
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
	if (component == kBreadComponent)
		return [self.marray2 objectAtIndex:row];
	
	return [self.marray1 objectAtIndex:row];
}

@end
